class pantin::unattended_upgrades(Boolean $auto_reboot = false) {
	case $facts['os']['family'] {
		'Debian': {
			package { [
				'unattended-upgrades',
				'apt-listchanges',
				'needrestart',
			]:
				ensure => present,
			}
			file { '/etc/apt/apt.conf.d/20auto-upgrades':
				mode => '0644',
				content => file('pantin/etc/apt/apt.conf.d/20auto-upgrades'),
			}
			file { '/etc/apt/apt.conf.d/50unattended-upgrades':
				mode => '0644',
				content => template('pantin/etc/apt/apt.conf.d/50unattended-upgrades.erb'),
			}
		}
		default: {
		}
	}
}
